Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.ui.event
Class SurfaceEditEvent

    java.lang.Object
      threeD.ui.event.SceneEvent
          threeD.ui.event.SceneEditEvent
              threeD.ui.event.SurfaceEditEvent

All Implemented Interfaces:
  Event, SurfaceEvent

public class SurfaceEditEvent
extends SceneEditEvent
implements SurfaceEvent

A SurfaceEditEvent object represents the event of editing a surface in the current scene. The integer code of the SurfaceEditEvent is the sum of all of the codes that apply to the edit.

Field Summary
`static int` | `colorChangeEvent` The code for color change event.
`static int` | `dataChangeEvent` The code for a data change event.
`static int` | `locationChangeEvent` the code for location change event.
`static int` | `nameChangeEvent` The code for name change event.
`static int` | `rotationCoefficientChangeEvent` The code for a rotation coefficient change event.
`static int` | `scaleCoefficientChangeEvent` The code for a scale coefficient change event.
`static int` | `shadingOptionChangeEvent` The code for a shading options change event.
`static int` | `sizeChangeEvent` The code for a size change event.
`static int` | `transformationChangeEvent` The code for a transformation change event.

Constructor Summary
`SurfaceEditEvent(int code, Surface target)` Constructs a new SurfaceEditEvent object with the specified integer code.

Method Summary
`int` | `getCode()` Returns the integer code of this SurfaceEditEvent object.
`Surface` | `getTarget()` Returns the target of this SurfaceEditEvent.
`boolean` | `isColorChangeEvent()` Returns true if this SurfaceEditEvent object is a color change event.
`boolean` | `isDataChangeEvent()` Returns true if this SurfaceEditEvent object is a data change event.
`boolean` | `isLocationChangeEvent()` Returns true if this SurfaceEditEvent object is a location change event.
`boolean` | `isNameChangeEvent()` Returns true if this SurfaceEditEvent object is a name change event.
`boolean` | `isRotationCoefficientChangeEvent()` Returns true if this SurfaceEditEvent object is a rotation coefficient change event.
`boolean` | `isScaleCoefficientChangeEvent()` Returns true if this SurfaceEditEvent object is a scale coefficient change event.
`boolean` | `isShadingOptionChangeEvent()` Returns true if thsi SurfaceEditEvent object is a shading option change event.
`boolean` | `isSizeChangeEvent()` Returns true if this SurfaceEditEvent object is a size change event.
`boolean` | `isTransformationChangeEvent()` Returns true if this SurfaceEditEvent obeject is a transformation change event.
`java.lang.String` | `toString()` Returns "SurfaceEditEvent".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nameChangeEvent

    public static final int nameChangeEvent

  The code for name change event.

  See Also:
    Constant Field Values

### locationChangeEvent

    public static final int locationChangeEvent

  the code for location change event.

  See Also:
    Constant Field Values

### sizeChangeEvent

    public static final int sizeChangeEvent

  The code for a size change event.

  See Also:
    Constant Field Values

### scaleCoefficientChangeEvent

    public static final int scaleCoefficientChangeEvent

  The code for a scale coefficient change event.

  See Also:
    Constant Field Values

### rotationCoefficientChangeEvent

    public static final int rotationCoefficientChangeEvent

  The code for a rotation coefficient change event.

  See Also:
    Constant Field Values

### transformationChangeEvent

    public static final int transformationChangeEvent

  The code for a transformation change event.

  See Also:
    Constant Field Values

### colorChangeEvent

    public static final int colorChangeEvent

  The code for color change event.

  See Also:
    Constant Field Values

### shadingOptionChangeEvent

    public static final int shadingOptionChangeEvent

  The code for a shading options change event.

  See Also:
    Constant Field Values

### dataChangeEvent

    public static final int dataChangeEvent

  The code for a data change event.

  See Also:
    Constant Field Values

Constructor Detail

### SurfaceEditEvent

    public SurfaceEditEvent(int code,
                            Surface target)

  Constructs a new SurfaceEditEvent object with the specified integer code.

Method Detail

### getCode

    public int getCode()

  Returns the integer code of this SurfaceEditEvent object.

### getTarget

    public Surface getTarget()

  Returns the target of this SurfaceEditEvent.

  Specified by:
    `getTarget` in interface `SurfaceEvent`

### isNameChangeEvent

    public boolean isNameChangeEvent()

  Returns true if this SurfaceEditEvent object is a name change event.

### isLocationChangeEvent

    public boolean isLocationChangeEvent()

  Returns true if this SurfaceEditEvent object is a location change event.

### isSizeChangeEvent

    public boolean isSizeChangeEvent()

  Returns true if this SurfaceEditEvent object is a size change event.

### isScaleCoefficientChangeEvent

    public boolean isScaleCoefficientChangeEvent()

  Returns true if this SurfaceEditEvent object is a scale coefficient change event.

### isRotationCoefficientChangeEvent

    public boolean isRotationCoefficientChangeEvent()

  Returns true if this SurfaceEditEvent object is a rotation coefficient change event.

### isTransformationChangeEvent

    public boolean isTransformationChangeEvent()

  Returns true if this SurfaceEditEvent obeject is a transformation change event.

### isColorChangeEvent

    public boolean isColorChangeEvent()

  Returns true if this SurfaceEditEvent object is a color change event.

### isShadingOptionChangeEvent

    public boolean isShadingOptionChangeEvent()

  Returns true if thsi SurfaceEditEvent object is a shading option change event.

### isDataChangeEvent

    public boolean isDataChangeEvent()

  Returns true if this SurfaceEditEvent object is a data change event.

### toString

    public java.lang.String toString()

  Returns "SurfaceEditEvent".

  Overrides:
    `toString` in class `SceneEditEvent`

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray